package com.biganto.visual.roompark.domain.model

import java.util.*

/**
 * Created by Vladislav Bogdashkin on 23.09.2019.
 */


data class FeedModel(val feedId:Int, val title:String, val alias:String? = null)

data class FeedsHeaderModel(val feeds:List<FeedModel>)

data class ArticlePreviewModel(
    val articleId:Int,
    val published: Date,
    val title:String,
    val announce:String,
    val previewUrl:String,
    val isRead:Boolean
    )

data class ArticlesPreviewModel(val parentFeedId:Int,val articles:List<ArticlePreviewModel>)


data class ArticleModel(
    val articleId:Int,
    val published: Date,
    val title:String,
    val htmlBody:String,
    val previewUrl:String,
    val isRead:Boolean
)